import { UdcSelect } from '@components';
import React from 'react';
import { Input } from 'antd'

const config = (formData, mode, dispatch, loading) => {
  // 基本信息form
  const basic = [
    {
      title: '对账单编号',
      dataIndex: 'docNo',
    },{
      title: '企业',
      dataIndex: 'ouName',
    }, {
      title: '供应商',
      dataIndex: 'supp',
    }, {
      title: '账期',
      dataIndex: 'payPeriod',
    }, {
      title: '合同编号',
      dataIndex: 'contractCode',
    }, {
      title: '业务联系人',
      dataIndex: 'contact',
    },{
      title: '对账截止日期',
      dataIndex: 'payToDate',
    }, {
      title: '月结付款期限',
      dataIndex: 'paymentTerms',
    }, {
      title: '财务联系人',
      dataIndex: 'fcontact',
    }, {
      title: '含税总额',
      dataIndex: 'amtStr',
    },{
      title: '默认票种',
      dataIndex: 'billTypeDesc',
    }, {
      title: '传真',
      dataIndex: 'fax',
    },  {
      title: '未税总额',
      dataIndex: 'netAmtStr',
    }, {
      title: '默认税率',
      dataIndex: 'taxDesc',
    }, {
      title: '有无差异',
      dataIndex: 'diffFlag',
      tag: <UdcSelect domain="SRM" code="DIFF_FLAG" disabled={true} />,
    },{
      title: '税额',
      dataIndex: 'taxAmtStr',
    },{
      title: '对账类型',
      dataIndex: 'accountTypeName',
    }];

  const billSums = [
    {
      title: '含税总额',
      dataIndex: 'amtStr',
    }, {
      title: '未税总额',
      dataIndex: 'netAmtStr',
    }, {
      title: '税额',
      dataIndex: 'taxAmtStr',
    }, {
      title: '入库总数',
      dataIndex: 'totalQtyStr',
    }
  ];

  return {
    basic,
    billSums
  };
};

export default config;
